/*
 * USE - UML based specification environment
 * Copyright (C) 1999-2004 Mark Richters, University of Bremen
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* $ProjectHeader: use 2-3-1-release.3 Wed, 02 Aug 2006 17:53:29 +0200 green $ */

package org.tzi.use.uml.ocl.expr;

import java.util.ArrayList;
import java.util.List;

import org.tzi.use.uml.ocl.value.Value;

/**
 * Context information used during evaluation.
 *
 * @version     $ProjectVersion: 2-3-1-release.3 $
 * @author  Mark Richters
 */
public class EvalNode {
    private List fChildren; // (EvalNode)
    private Expression fExpr;
    private Value fResult;

    public EvalNode() {
    }

    void addChild(EvalNode n) {
        if (fChildren == null )
            fChildren = new ArrayList();
        fChildren.add(n);
    }

    public List children() {
        if (fChildren == null )
            return new ArrayList();
        else
            return fChildren;
    }

    void setExpression(Expression expr) {
        fExpr = expr;
    }

    void setResult(Value result) {
        fResult = result;
    }

    public String toString() {
        return fExpr + " = " + fResult;
    }
}
